#
# spec file for package audacity (Version 1.2.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel flac flac-devel glib glib-devel gpp gtk2-devel-packages id3lib id3lib-devel jack jack-devel libgpp libid3tag libid3tag-devel libjpeg libmspack libmspack-devel libogg libogg-devel libpng-devel-packages libsamplerate libsamplerate-devel libsndfile libsndfile-devel libtiff libvorbis libvorbis-devel mad mad-devel portaudio portaudio-devel unixODBC unixODBC-devel update-desktop-files wxGTK-compat wxGTK-devel x-devel-packages zip

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel atk atk-devel autoconf automake binutils expat flac flac-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel id3lib id3lib-devel jack jack-devel libid3tag libid3tag-devel libjpeg libjpeg-devel libmspack libmspack-devel libogg libogg-devel libpng libpng-devel libsamplerate libsamplerate-devel libsndfile libsndfile-devel libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel mad mad-devel pango pango-devel perl pkgconfig portaudio portaudio-devel rpm unixODBC unixODBC-devel update-desktop-files wxGTK-compat wxGTK-devel xorg-x11-devel xorg-x11-libs zip

Name:         audacity
Summary:      A Free, Cross-Platform Digital Audio Editor
Version:      1.2.3
Release:      1
License:      GPL
Group:        Productivity/Multimedia/Sound/Editors and Convertors
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://audacity.sourceforge.net/
Source:       %{name}-src-%{version}.tar.bz2
Source1:      audacity.desktop
Source2:      audacity.png
Patch1:       audacity-xlisp-fix.dif
Patch2:       audacity-portaudio-shlib.dif
#Patch3:       audacity-help-path.dif
Patch4:       audacity-overflow-fix.dif
Patch5:       audacity-lang-fix.dif
Patch6:       audacity-font-fix.dif
Patch7:       audacity-wx-compat.dif
Patch8:       audacity-missing-include.patch
Patch9:       audacity-ambiguous.patch
%define portaudio_v19	0

%description
Audacity is a program that manipulates digital audio waveforms. In
addition to recording sounds directly from within the program, it
imports many sound file formats, including WAV, AIFF, AU, IRCAM, MP,
and Ogg Vorbis.  With Audacity you can edit wave data larger than the
physical memory size of your computer.



Authors:
--------
    Dominic Mazzoni <dominic@minorninth.com>
    Roger Dannenberg <rbd+@cs.cmu.edu>
    Jason Cohen <cohen3+@andrew.cmu.edu>
    Robert Leidle <rfl+@andrew.cmu.edu>
    Mark Tomlinson <marktoml@hotmail.com>
    Joshua Haberman <joshua@haberman.com>
    Nasca Octavian Paul <paulnasca@email.ro>
    Logan Lewis <proxima@proxc.com>
    Matt Brubeck <mbrubeck@hmc.edu>
    Mark Phillips <mitb@totaldeath.com>
    Tony Oetzmann <airon@epost.de>
    Harvey Lubin <agrapha@agrapha.com>
    Tom Woodhams <tom@imaginemedia.co.uk>

%prep
%setup -q -n %{name}-src-%{version}
%patch1
%patch2
#%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
mv aclocal.m4 acinclude.m4

%build
%{?suse_update_config:%{suse_update_config -f . lib-src/*/.}}
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --with-libmad=system \
  --with-vorbis=system \
  --with-id3tag=system \
  --with-libsndfile=system \
  --with-libsamplerate=system \
  --with-libflac=system \
  --with-ladspa=yes \
  --with-nyquist \
%if %{portaudio_v19}
  --with-portaudio=v19
%else
  --with-portaudio=v18
%endif
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%if %suse_version > 820
%suse_update_desktop_file -i audacity Applications AudioVideo AudioVideoEditing
%endif
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -rf $RPM_BUILD_ROOT/usr/share/doc/audacity

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%doc %{_mandir}/man?/*
%{_bindir}/audacity
%{_datadir}/audacity
%{_datadir}/locale/*/*/*
%if %suse_version > 820
%{_datadir}/applications/*.desktop
%endif
%{_datadir}/pixmaps/*.png

%changelog -n audacity
* Thu Feb 24 2005 - joe_morris@ntm.org
- updated to version 1.2.3
* Mon Sep 06 2004 - mcihar@suse.cz
-fix build on 64-bit arches
* Fri Sep 03 2004 - mcihar@suse.cz
- update to 1.2.2
* Thu Aug 05 2004 - tiwai@suse.de
- updated to version 1.2.1.
- using wxGTK-compat library.
* Sun Mar 28 2004 - tiwai@suse.de
- fixed the segfault at the start up (bug #34313)
- fixed the size of fonts for wxGTK with GTK-2.
- fixed possible buffer overflows.
- build with portaudio-v18, v19 seems problematic.
* Fri Mar 05 2004 - tiwai@suse.de
- updated to version 1.2.0 final.
* Mon Feb 16 2004 - tiwai@suse.de
- updated to version 1.2.0-pre4.
* Thu Jan 22 2004 - tiwai@suse.de
- fixed the build with the latest autoconf.
* Wed Jan 14 2004 - tiwai@suse.de
- updated to version 1.2.0-pre3.
- use portaudio v19 (shared lib).
* Tue Jan 13 2004 - tiwai@suse.de
- fixed the neededforbuild for the latest wxGTK with gtk2.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Sep 15 2003 - tiwai@suse.de
- added desktop icon.
* Sun Sep 14 2003 - adrian@suse.de
- add AudioVideoEditing Category
* Fri Aug 29 2003 - tiwai@suse.de
- fixed the bug of WAVE display.
* Thu Aug 14 2003 - tiwai@suse.de
- added desktop file.
* Mon Aug 11 2003 - tiwai@suse.de
- updated to version 1.2.0-pre1.
- help file is installed under /usr/share/audacity.
* Thu Jul 03 2003 - tiwai@suse.de
- fixed neededforbuild for the recent update of mad.
* Tue May 27 2003 - ro@suse.de
- removed unpackaged files from buildroot
* Thu Mar 27 2003 - tiwai@suse.de
- updated to version 1.1.3.
  linked with libFLAC and libsamplerate.
* Tue Nov 26 2002 - tiwai@suse.de
- updated to version 1.1.1.
- build with the system libsndfile since now audacity supports
  libsndfile 1.0.
- enabled nyquist support.
* Fri Aug 30 2002 - tiwai@suse.de
- updated to version 1.1.0 cvs 2002.08.30.
  the 1.1.0 tarball version has a major bug regarding to project
  file management (bug #18662).  this version fixes the problem.
  also, this one includes a help text, which wasn't there.
* Wed Jul 24 2002 - tiwai@suse.de
- updated to version 1.1.0.
* Mon Jul 01 2002 - tiwai@suse.de
- updated to the stable version 1.0.0-2.
* Wed Apr 17 2002 - tiwai@suse.de
- fixed build with gcc-3.1.
* Wed Apr 10 2002 - ro@suse.de
- work around autoconf problem: first AC_CHECK_HEADER
  apparently has to be outside of an if ... fi block
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 - ro@suse.de
- added libpng,libjpeg,libtiff to neededforbuild
* Thu Jan 24 2002 - tiwai@suse.de
- initial package version: 0.98.
- built with the shared id3lib.
